Error in Phoca Gallery Plugin !

Phoca Gallery plugins - plugins for Phoca Gallery extension
rbuelund
Phoca Enthusiast
Phoca Enthusiast
Posts: 59
Joined: 22 Mar 2015, 00:18
Contact:

Error in Phoca Gallery Plugin !

Post by rbuelund » 29 Oct 2017, 19:08

I have inserted the following code in an article: {phocagallery view=categories|imagecategories=1|imagecategoriessize=0|hidecategories=61}

Latest Phoca Gallery is installed and activated. I get this error when trying to view the article:

[] operator not supported for strings

I use J! 3.8.1 and PHP: 7.1

EDIT: I just tried to change to PHP 7.0 and then it works - this plugin needs updating ;-)

User avatar
Jan
Phoca Hero
Phoca Hero
Posts: 40946
Joined: 10 Nov 2007, 18:23
Location: Czech Republic
Contact:

Re: Error in Phoca Gallery Plugin !

Post by Jan » 30 Oct 2017, 00:24

Hi, can you paste exact error message so I can take a loo at it.

Jan
If you find Phoca extensions useful, please support the project

rbuelund
Phoca Enthusiast
Phoca Enthusiast
Posts: 59
Joined: 22 Mar 2015, 00:18
Contact:

Re: Error in Phoca Gallery Plugin !

Post by rbuelund » 30 Oct 2017, 07:08

"[] operator not supported for strings " - is the exact error. WIth maximum error rapporting I get nothing more.

User avatar
Jan
Phoca Hero
Phoca Hero
Posts: 40946
Joined: 10 Nov 2007, 18:23
Location: Czech Republic
Contact:

Re: Error in Phoca Gallery Plugin !

Post by Jan » 01 Nov 2017, 01:02

Can you paste a screenshot? Usually the error messages include the file path and the line :idea:

Jan
If you find Phoca extensions useful, please support the project

rbuelund
Phoca Enthusiast
Phoca Enthusiast
Posts: 59
Joined: 22 Mar 2015, 00:18
Contact:

Re: Error in Phoca Gallery Plugin !

Post by rbuelund » 01 Nov 2017, 07:16

Sorry - there is nothing else than that line i have sent earlier. And that is nomatter what debug level I use.

rbuelund
Phoca Enthusiast
Phoca Enthusiast
Posts: 59
Joined: 22 Mar 2015, 00:18
Contact:

Re: Error in Phoca Gallery Plugin !

Post by rbuelund » 02 Nov 2017, 08:54

Here is another example of an error when the system is running PHP 7.1.

Two examples of what happens when pressing on Image in the Gallery plugin:

Here the system is running PHP 7.0: Image
Here the system is running PHP 7.1: Image

User avatar
Jan
Phoca Hero
Phoca Hero
Posts: 40946
Joined: 10 Nov 2007, 18:23
Location: Czech Republic
Contact:

Re: Error in Phoca Gallery Plugin !

Post by Jan » 02 Nov 2017, 18:53

Hi, hmmm, testing now on PHP 7.1 - I don't get any such problem:
Image
I cannot imagine that PHP version will have some impact on CSS (try to see your loaded CSS if some is not somehow loaded only when PHP 7.1 is running :idea: )

Jan
If you find Phoca extensions useful, please support the project

rbuelund
Phoca Enthusiast
Phoca Enthusiast
Posts: 59
Joined: 22 Mar 2015, 00:18
Contact:

Re: Error in Phoca Gallery Plugin !

Post by rbuelund » 03 Nov 2017, 09:21

Well the css that is affecting this is different when switching PHP version:

PHP 7.1:
img[Attributes Style] {
width: 5px;
height: 5px;
}
PHP 7.0:
img[Attributes Style] {
width: 50px;
height: 5px;
}

I belive that there must be some code generating the above CSS ??

User avatar
Jan
Phoca Hero
Phoca Hero
Posts: 40946
Joined: 10 Nov 2007, 18:23
Location: Czech Republic
Contact:

Re: Error in Phoca Gallery Plugin !

Post by Jan » 03 Nov 2017, 23:26

Can you paste the exact CSS code so I can locate it?

The image in PHP 7.1 has got this style:

Code: Select all

<img src="...images/phocagallery/.../thumbs/phoca_thumb_s_001.jpg?imagesid=13281bedfe782c4f34cb8e32c728fc36" width="50" height="50" alt="">
:idea:

Thank you, Jan
If you find Phoca extensions useful, please support the project

rbuelund
Phoca Enthusiast
Phoca Enthusiast
Posts: 59
Joined: 22 Mar 2015, 00:18
Contact:

Re: Error in Phoca Gallery Plugin !

Post by rbuelund » 03 Nov 2017, 23:51

Her you can see the html that is generated when running PHP 7.1
Image

Post Reply